%define upstream_name    Plack-Test-AnyEvent
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Run Plack::Test on AnyEvent-based PSGI applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Plack)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This L<Plack::Test> implementation allows you to easily test your
L<AnyEvent>-based PSGI applications. Normally, L<Plack::Test::MockHTTP> or
L<Plack::Test::Server> work fine for this, but this implementation comes in
handy when you'd like to test your streaming results as they come in, or if
your application uses long-polling. For non-streaming requests, you can use
this module exactly like Plack::Test::MockHTTP; otherwise, you can set up a
content handler and call C<$res-E<gt>recv>. The event loop will then run
until the PSGI application closes its writer handle or until your test
client calls C<send> on the response.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371890
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 shlomif <shlomif> 0.30.0-1.mga3
+ Revision: 269508
- imported package perl-Plack-Test-AnyEvent

